List my deposit addresses
curl --request GET \
--url https://prod-api.stableyard.fi/v2/client/me/deposit-addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://prod-api.stableyard.fi/v2/client/me/deposit-addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-api.stableyard.fi/v2/client/me/deposit-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "acct_123",
"depositAddresses": [
{
"id": "deposit_addr_123",
"accountId": "acct_123",
"chainId": 42161,
"address": "0x1111111111111111111111111111111111111111",
"supportedAssets": [
{
"chainId": 42161,
"tokenAddress": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
"symbol": "USDC",
"decimals": 6,
"kind": "token"
}
],
"metadata": {
"networkCode": "arbitrum",
"chainFamily": "evm"
},
"status": "active"
}
],
"nextCursor": "cursor_123"
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}{
"error": {
"code": "bad_request",
"message": "The request is invalid",
"details": "example"
}
}Client deposits
List the client account's deposit addresses
List reusable receive addresses for the account fixed by the client token.
GET
/
v2
/
client
/
me
/
deposit-addresses
List my deposit addresses
Returns the reusable receive addresses for the account fixed by the client bearer token. Filter by
status (active or disabled) and page with limit (up to 100) and cursor.
The issuing app must have Deposit Addresses enabled and the issuing credential must permit v2:deposit_addresses.Authorizations
Short-lived account-bound token returned by POST /v2/client/auth/exchange.
Query Parameters
Available options:
active, disabled Required range:
1 <= x <= 100Opaque cursor returned as nextCursor by the previous page.